<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>
<body>
	<script>
		/*
		Создайте калькулятор

		За каждую операцию будет отвечать отдельная функция, т.е. для сложения - add(a,b), для умножения - multiple(a,b) и т.д. Каждая из них принимает в аргументы только два числа и возвращает результат операции над двумя числами Если число не передано в функцию аргументом - ПО УМОЛЧАНИЮ присваивать этому аргументу 0.

		Основная функция calculate()
		Принимает ТРИ АРГУМЕНТА:
		1 - число
		2 - число
		3 - функция которую нужно выполнить для двух этих чисел. Таким образом получается что основная функция калькулятор будет вызывать переданную ей аргументом функцию для двух чисел, которые передаются остальными двумя аргументами. При делении на 0 выводить ошибку. Функия калькулятор доджна принять на вход 3 аругмента, Если аргументов больше или меньше выводить ошибку.*/

		const a = +prompt ("Каким будет первое число?"),
				sign = prompt ("Введите знак арифметической операции:", "+ * - /"),
				b = +prompt ("Каким будет второе число?");

		function add(a,b) {
			return a + b;
			if (a == undefined || a == "null") {
				a = 0;
			}
			else if ( b == undefined) {
				b = 0;
			}
		}

		function multiple(a,b) {
			return a * b;
				if (a == undefined) {
				a = 0;
			}
			else if ( b == undefined) {
				b = 0;
			}
		}

		function sub(a,b) {
			return a - b;
				if (a == undefined) {
				a = 0;
			}
			else if ( b == undefined) {
				b = 0;
			}
		}

		function divide(a,b) {
			return a / b;
				if (a == undefined) {
				a = 0;
			}
			else if ( b == undefined) {
				b = 0;
			}
		}

		//оглашаем переменную выводящую результат
		let res;

		if ( sign == "+") {
			res = add(a,b)
		}
		else if ( sign == "*") {
			res = multiple(a,b)
		}
		else if ( sign == "-") {
			res = sub(a,b)
		}
		else if ( sign == "/") {
			if ( a == 0 || b == 0) {
				document.write("ой-ой")
			}
			else {
				res = divide(a,b)
			}
		}
		
		function calculate (a,b,sign) {
			
		}

		if (sign == "+") {
			function calculate(a,b, add)
		}
		
		else if (sign == "*") {
			function calculate(a,b, multiple)
		}
		else if (sign == "-") {
			function calculate(a,b, sub)
		}
		else if (sign == "/") {
			function calculate(a,b, divide)
		}


	</script>
</body>
</html>